package cz.moneta.test.dsl.util.task.oauth2;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.util.task.oauth2.token.TokenTasks;
import cz.moneta.test.dsl.util.task.oauth2.web.WebTasks;

public class Oauth2Tasks {

    private final Harness harness;

    public Oauth2Tasks(Harness harness) {
        this.harness = harness;
    }

    public WebTasks web() {
        return new WebTasks(harness);
    }

    public TokenTasks token() {
        return new TokenTasks(harness);
    }
}
